Skip to main content
POST
Create User Completion

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Headers

x-account-id
string
required

The account identifier

Prefer
string

Set to "heartbeat" to enable keep-alive newline heartbeats during long-running requests. Response includes Preference-Applied: heartbeat header when honored. (RFC 7240)

Example:

"heartbeat"

Path Parameters

id
string
required

Body

application/json
learning_object_external_reference
string
required

The external reference of the learning object associated with this completion, this is the main identifier for creating completions.

Example:

"learning-content-123"

passthrough
object | null

Value to pass through to the provider

Example:
result
object | null

The result of the completion

completed_at
string<date-time> | null

The date the content was completed

Example:

"2021-07-21T14:00:00.000Z"

learning_object_id
string | null

The id of the learning object associated with this completion. This is not required unless specified in an integration.

Example:

"e3gd34-23tr21-er234-345er56"

time_spent
string<string> | null

ISO 8601 duration format representing the time spent on completing the learning object

Example:

"PT1H30M45S"

content_external_reference
string | null
deprecated

The external reference associated with this content

Example:

"SOFTWARE-ENG-LV1-TRAINING-VIDEO-1-CONTENT"

content_id
string | null
deprecated

The content ID associated with this completion

Example:

"16873-ENG-VIDEO-1"

score
object | null

The score associated with this completion

Example:

Response

The completion was created successfully.

statusCode
number
required
Example:

201

message
string
required
Example:

"Record created successfully."

timestamp
string<date-time>
required
Example:

"2021-01-01T01:01:01.000Z"

data
object
required